Subject: Re: [PATCH v2 5/8] hook: allow disabling config hooks

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Feb 2026 10:45:36 -0800

Patrick Steinhardt <[email-masked]> writes:

> Note that the "--disabled" flag was just a way to explain why I think
> it's useful to track the disabled state explicitly. I didn't mean to say
> that it needs to be added :)

Yup.

If "hook list" (possibly with --verbose but there may not be any
need for multiple verbosity levels) shows which ones are available
but which ones are disabled, that would also be useful.  It would be
harder to arrange with the approach to filter early.

Thanks.